Bug 125055 - When Gnome and KDE are both installed, neither can be uninstalled.
When Gnome and KDE are both installed, neither can be uninstalled.
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-06-02 10:10 EDT by Shawn Smout
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 15:10:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shawn Smout 2004-06-02 10:10:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:

When Gnome and KDE are both installed, neither can be uninstalled.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install both Gnome and KDE.
2.Run system-config-packages.
3.Note that there is no way to uncheck either Gnome or KDE.

Actual Results:  Neither desktop environment can be removed.

Expected Results:  One should be able to remove at least one of the
two, if not both.

Additional info:

Apparently this is intentional, because it is considered necessary to
have a desktop environment.  However, it is clearly not necessary to
have both.  I would consider it tolerable to force the user to keep
one of them, but not to keep both.  Thus it should be possible if both
are installed to remove one of them.

I know it's probably possible to do this using rpm from the command
line or whatever, but the average user wouldn't know that.

This is related to part of bug 88738.  However, that bug isn't very
clear, and is really two separate bugs, so I decided to enter a new
bug instead of updating that one.
Comment 1 Matthew Miller 2005-04-26 11:03:04 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Jeremy Katz 2005-09-21 15:10:41 EDT
Closing as fixed in later releases

Note You need to log in before you can comment on or make changes to this bug.